- 积分
- 312
- 明经币
- 个
- 注册时间
- 2005-1-14
- 在线时间
- 小时
- 威望
-
- 金钱
- 个
- 贡献
-
- 激情
-
|
楼主 |
发表于 2005-1-18 10:07:00
|
显示全部楼层
Me.Hide Dim basepoint1, basepoint2, basepoint3 As Variant Dim leaderObj As AcadLeader Dim points(0 To 8) As Double Dim leaderType As Integer Dim annotationObject As AcadObject
' Return a point using a prompt basepoint1 = ThisDrawing.Utility.GetPoint(, "请输入引线第一个点: ") basepoint2 = ThisDrawing.Utility.GetPoint(basepoint1, "请输入引线第二个点: ") basepoint3 = ThisDrawing.Utility.GetPoint(basepoint2, "请输入引线第三个点: ") points(0) = basepoint1(0): points(1) = basepoint1(1): points(2) = basepoint1(2) points(3) = basepoint2(0): points(4) = basepoint2(1): points(5) = basepoint2(2) points(6) = basepoint3(0): points(7) = basepoint3(1): points(8) = basepoint3(2)
leaderType = acLineWithArrow Set annotationObject = Nothing
' 在模型空间中创建引线对象 Set leaderObj = ThisDrawing.ModelSpace. _ AddLeader(points, annotationObject, leaderType)
ZoomAll
|
|